<?php declare(strict_types = 1);
/*
** Zabbix
** Copyright (C) 2001-2023 Zabbix SIA
** Copyright (C) 2024 Cybertrust Japan Co., Ltd.
**
** This program is free software: you can redistribute it and/or modify it under the terms of
** the GNU Affero General Public License as published by the Free Software Foundation, version 3.
**
** This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
** without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
** See the GNU Affero General Public License for more details.
**
** You should have received a copy of the GNU Affero General Public License along with this program.
** If not, see <https://www.gnu.org/licenses/>.
**/


/**
 * @var CView $this
 * @var array $data
 */

$this->includeJsFile('configuration.snapshot.edit.js.php');

$data += [
	'form_name' => 'snapshot-form',
	'buttons' => [
		(new CSimpleButton(_('Restore snapshot')))
			->setAttribute('confirm', _('Restore from selected snapshot?'))
			->onClick('view.restore('.json_encode($data['snapshotid']).', this);'),
		(new CSubmit('update', _('Update to reflect the change')))
			->removeAttribute('id'),
		(new CSimpleButton(_('Delete')))
			->setAttribute('confirm', _('Delete selected snapshot?'))
			->onClick('view.delete('.json_encode($data['snapshotid']).', this);')
			->removeAttribute('id'),
		(new CRedirectButton(_('Cancel'), $data['backurl']))->addClass('js-cancel')
	]
];

(new CHtmlPage())
	->setTitle(_('Snapshot'))
	->addItem(new CPartial('configuration.snapshot.edit.html', $data))
	->show();

(new CScriptTag('view.init('.json_encode([
		'form_name' => $data['form_name']
	]).');'))
	->setOnDocumentReady()
	->show();
